Subject: Things that I think obvious....

From: Harald Tveit Alvestrand <[email-masked]>
Date: Thu, 09 Sep 2004 12:21:12 +0200

I thought it would make sense for me to mention a few things I have 
regarded as "obvious" in this discussion - just to make sure nobody comes 
along later and says "you can't draw a conclusion based on that - while I 
agree with you, there might be others who don't" or something like that.
Clarity is good.

It is very hard to state these things in a way where nobody can quibble 
with the formulations, but I will try anyway.

1 - The IETF exists, and it is the IETF community.

Even though we have carefully avoided defining its boundaries, I believe 
that we all believe that the IETF exists. And it's obvious that if the 
people who do the technical work leave, the IETF is nothing.
So the IETF is the community.

2 - The IETF leadership is the IESG and IAB.

Some jobs are clearly given to the IESG in our documents; other jobs are 
clearly given to the IAB. Some jobs are not mentioned at all.
As part of the process of change, the community may select other people or 
create new bodies for other types of leadership.
And the IAB and IESG has to be in a continuing dialogue with the community 
in order to figure out what the right things to do are.
But there is at present no other leadership function selected by the 
community.

3 - The community has accepted the problem description and principles laid 
out in RFC 3716.

The most common reaction I have had from people who have read RFC 3716 is 
"it's obvious, now that you say it". And it would be hard for anyone who 
reads the IETF list or the IETF-announce list, or the most recent 
plenaries, to be completely unaware of its existence, or that we are basing 
further work on its conclusions.
So - if there was significant disagreement with its conclusions - I'd have 
expected to hear that before now.

As I said - I *think* these things are fairly obvious. But it might still 
be reasonable to check that other people agree. 

_______________________________________________
Ietf mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ietf

---

From: John C Klensin <[email-masked]>
Date: Tue, 14 Sep 2004 22:39:25 -0400

Harald,

Since I finally got around to posting my "what was that problem
anyway" note, it is probably time for me to come back and try to
question some of your assumptions, since I'm not sure I agree
completely with all of them.  More important, the logic on which
your definitions are constructed appears to be badly flawed.
Since poor definitions and logic can lead to confused thinking,
some careful analysis may be in order.

--On Thursday, 09 September, 2004 12:21 +0200 Harald Tveit
Alvestrand <[email-masked]> wrote:

> I thought it would make sense for me to mention a few things I
> have regarded as "obvious" in this discussion - just to make
> sure nobody comes along later and says "you can't draw a
> conclusion based on that - while I agree with you, there might
> be others who don't" or something like that.
> Clarity is good.
> 
> It is very hard to state these things in a way where nobody
> can quibble with the formulations, but I will try anyway.

> Even though we have carefully avoided defining its boundaries,
> I believe that we all believe that the IETF exists. And it's
> obvious that if the people who do the technical work leave,
> the IETF is nothing.

This logic doesn't follow. 

Restated as a logical proposition, you have just said

    { The people who do the technical work }
            are a necessary condition for 
    { a meaningful (i.e., "not nothing") IETF } 
            therefore
    { the IETF }  == { the IETF community }

So, you have concluded that a term that you (still) haven't
defined is equivalent to another term based an a sufficiency
condition on what appears to be a subset (the "not nothing" one)
of the second term.  Now, logic may have undergone significant
advances since I took that course a few centuries ago (at least
it feels like that), but I don't think that flies.

In more practical terms, while I agree that the people who do
the technical work are a necessary condition for the IETF being
meaningful, we certainly have people around who participate in
the IETF, are eligible to serve on Nomcoms, may even post to
mailing lists, etc., but who do no observable technical work at
all.  If your intent is to say
     { the people who do the technical work } ==
     { the IETF } ==
     { the IETF community }
then all of those no-technical-work active participants are
excluded from the IETF community.  I don't think you mean that.
And, if you do, I suggest that the Nomcom selection procedure
model falls apart, as do several other things.

It is not an accident that we often make the distinction between
"IETF [technical] contributors" and "IETF participants".  Even
if both of those categories are a bit fuzzy, we understand that
they are different.

More broadly, we are, or pretend to be, in the business of
producing standards (and other things) to make the Internet work
better.    Either 

	* those standards have users and applications, and we
	care enough about those enough to consider the people
	and organizations who make the evaluation and practical
	applicability decisions part of our community (at least
	for some purposes), or
	
	* we are in serious danger of turning into a community
	of navel-gazers for which the main criterion for IETF
	success is that we are all happily amusing ourselves.

While it is certainly possible to believe in the latter, happy
amusement, definition after observing some of what goes on in
the IETF, I think (and hope) few of us actually believe it.
Moreover, some of that extended community is the source of the
economic and support resources for making the IETF go.  And one
might go so far as to say that, without those resources, the
IETF would rapidly become "nothing", i.e., that they are also a
necessary condition.

> Some jobs are clearly given to the IESG in our documents;
> other jobs are clearly given to the IAB. Some jobs are not
> mentioned at all.
> As part of the process of change, the community may select
> other people or create new bodies for other types of
> leadership.
> And the IAB and IESG has to be in a continuing dialogue with
> the community in order to figure out what the right things to
> do are.
> But there is at present no other leadership function selected
> by the community.

Again, your principles are correct, but your syllogisms break
down:

	(i) If we accept your narrow definition of "the
	community" (see above), then the IAB and IESG are
	selected by something else than "the community"
	
	(ii) The statement that there is "no other leadership
	function selected by the community" does not imply that
	the "IETF leadership is the IESG and IAB".  For example,
	whether it is working well or not, there is a case to be
	made that the Secretariat has a leadership role in the
	community.
	
	(iii) We also have documents that assign "jobs" to the
	Nomcom and its Chair, to WG Chairs, to the IANA and the
	RFC Editor, and to others.  If the criteria for
	"leadership" is that there are jobs given to people or
	organizations, then those are "leadership" too.  I would
	add directorate members, document authors and editors,
	and many others to that list too.
	
	(iv) More important that any of the three points above,
	and leading directly to (3), below, the observation that
	the IAB and IESG are "the leadership", even if accepted
	as true, does not imply that those bodies have any
	authority not explicitly granted to them by the
	community in specific authorizing documents, or the
	logical consequences of such organization.  Put in more
	traditional IETF terms, the section of members of the
	IESG and IAB does not endow either the individual
	members or the bodies as a whole with Royal Authority.
	"No Kings" is not a conditional statement; nowhere does
	it say "No Kings except when selected to serve on the
	IAB or IESG".
	
	(v) And, finally, "leadership" is, and always has been,
	a concept that has as much to do with influence as with
	authority.  If you don't believe that there are leaders
	in the community who are not the IESG or IAB, your
	definition of "leadership" is a bit unusual. 

Probably we can do better.

> 3 - The community has accepted the problem description and
> principles laid out in RFC 3716.
> 
> The most common reaction I have had from people who have read
> RFC 3716 is "it's obvious, now that you say it". And it would
> be hard for anyone who reads the IETF list or the
> IETF-announce list, or the most recent plenaries, to be
> completely unaware of its existence, or that we are basing
> So - if there was significant disagreement with its
> conclusions - I'd have expected to hear that before now.

Like Bernard and yourself, I participated in drawing 3716
together.  And I agreed with it at the time and _in general_
still do.  But I believe that the direction in which it has
taken us --either because we didn't understand some of the
issues before we started to design and implement, because we
just got some things wrong at the detail level, or because it
has been interpreted in ways more specific than we intended--
calls some of its "problem description" and/or "principles" into
question.  

More important, we have one, and only one, established way for
the community (see above) to "accept" something, and that
involves a Last Call and a formal IESG determination.   If we
can publish an Informational RFC whose existence is arguably
well-known in the community, and then interpret the absence of
"significant disagreement" as an indication of community
acceptance and assent, then we had best start treating RFCs 1149
and 2549 as important parts of the protocol suite. 

> As I said - I *think* these things are fairly obvious. But it
> might still be reasonable to check that other people agree. 

Be careful what you wish for...  :-(

best,
    john

---

From: Harald Tveit Alvestrand <[email-masked]>
Date: Wed, 15 Sep 2004 09:40:27 +0200

--On tirsdag, september 14, 2004 22:39:25 -0400 John C Klensin 
<[email-masked]> wrote:

> excluded from the IETF community.

John,

two points:

1) you and I may have different definitions of "technical work".

I consider work like:

- Saying what the requirements on standards from the users are
- Reading documents and commenting on their readability
- Figuring out how IETF technical work relates to other aspects of the 
Ineternet

all to be examples of "technical work".

The work of making the IETF itself work is somewhat borderline.... but 
since it's contributing (I hope) positively to getting the technical work 
done, I'll even consider myself part of "the people who do the technical 
work".

2) I did not say

>      { the people who do the technical work } ==

I said

   (the people who do the techical work) is part of (the IETF community)
   (the IETF) == (the IETF community)
   (the IETF community) - (the people who do the technical work)
           == (something that is not a viable IETF)

I believe a lot of people make valuable ocntributions to the IETF, for 
instance by explaining to their home organizations why the IETF work is 
valuable, that is not contributing directly to the technical standards, but 
their work is still valuable to the IETF. Attempting to exclude them from 
"the IETF community" would not make sense at all.
But without technical work to explain to their home organizations, they 
would not have anything to write home about.

If there are people who come to the IETF and do not speak at all, neither 
in the IETF or at home, about IETF business, I'm happy to consider not 
including them in my definition of the "IETF community".
But I think this group either does not exist or is so small as to be not 
worth singling out for special treatment.

Conclusion (mine) ..... my short sentences were short, and suffer the 
ambiguity of all short sentences, but I can't figure out that we actually 
have a disagreement on this point.

                        Harald

---

From: Margaret Wasserman <[email-masked]>
Date: Wed, 15 Sep 2004 09:19:08 -0400

Hi Harald,

As you say below, "clarity is good".  So, before I respond to this 
post, I would like to better understand what you are asking...

RFC 3716 includes the following section:

"4.3.  Who Can Decide

    The AdvComm believes that the IETF leadership, acting with the advice
    and consent of the IETF community and ISOC, have the ability and the
    responsibility to act on the recommendation to formalize the IETF."

So, given your definitions below and the contents of other messages, 
I think you are asking whether there is IETF community consensus on 
the following statement:

    The [IESG and IAB], acting with the advice and consent of the [people
    who do the technical work of the IETF] and ISOC, have the ability and
    the responsibility to act on the recommendation to formalize the IETF
    [administrative support activity].

To make a decision regarding whether or not I agree with this 
statement, I would need to understand what is meant by "advice and 
consent".  In previous non-public conversations, these terms have 
been defined as follows:

>- ADVICE - someone posits a problem, the group discusses, and comes up
>with viewpoints that may or may not be helpful. The viewpoints go back
>to the person(s) being advised, but the group is NOT expected to reach a
>decision. Conflicting opinions are expected, and are Not A Problem.
>
>- CONSENT - someone makes a proposal, and asks for the consent of the
>group. The group uses the consensus process to develop a position, but
>the outcome is much more bounded than in consensus problem solving -
>generally, it's limited to "I can live with this" and "Go back and try
>again, this won't work".

Advice from the community can be obtained through discussion on this 
(and other?) IETF mailing lists and through plenary discussions.

The usual method for determining the consent of the community is 
through IETF Last Call and IESG review/approval.

In other words, I think you are proposing that the options for 
administrative restructuring should be discussed openly (as they are 
being discussed now) so that the community has an opportunity to 
provide advice, that the IAB & IESG should jointly develop a specific 
proposal for further community review/advice, and that the final 
proposal should be subject to community consent through the usual 
IETF Last Call and IESG review/approval mechanism.

Am I understanding your question correctly?  If so, then yes, I do 
agree with it.

...but I don't consider it to be at all obvious.

Margaret

At 12:21 PM +0200 9/9/04, Harald Tveit Alvestrand wrote:
>regarded as "obvious" in this discussion - just to make sure nobody 
>comes along later and says "you can't draw a conclusion based on 
>that - while I agree with you, there might be others who don't" or 
>something like that.
>Clarity is good.
>
>It is very hard to state these things in a way where nobody can 
>quibble with the formulations, but I will try anyway.
>
>Even though we have carefully avoided defining its boundaries, I 
>believe that we all believe that the IETF exists. And it's obvious 
>that if the people who do the technical work leave, the IETF is 
>nothing.
>Some jobs are clearly given to the IESG in our documents; other jobs 
>are clearly given to the IAB. Some jobs are not mentioned at all.
>As part of the process of change, the community may select other 
>people or create new bodies for other types of leadership.
>And the IAB and IESG has to be in a continuing dialogue with the 
>community in order to figure out what the right things to do are.
>The most common reaction I have had from people who have read RFC 
>3716 is "it's obvious, now that you say it". And it would be hard 
>for anyone who reads the IETF list or the IETF-announce list, or the 
>most recent plenaries, to be completely unaware of its existence, or 
>that we are basing further work on its conclusions.
>So - if there was significant disagreement with its conclusions - 
>I'd have expected to hear that before now.
>
>As I said - I *think* these things are fairly obvious. But it might 
>still be reasonable to check that other people agree.

---

From: Margaret Wasserman <[email-masked]>
Date: Wed, 15 Sep 2004 12:50:43 -0400

In my previous response, I think I missed one important implied 

>principles laid out in RFC 3716.

I'll interpret this statement as a question:

As a member of the community, do I personally agree with the problem 
description and principles laid out in RFC 3716?

The answer to this question is "yes, for the most part".  I think 
we've learned a bit since RFC 3716 was written, but IMO the AdvComm 
did a good job of identifying the problems.  I also agree with their 
conclusion, that we need to formalize an IETF administrative support 
activity that is accountable and transparent to the IETF community.

Margaret

---

From: Harald Tveit Alvestrand <[email-masked]>
Date: Thu, 16 Sep 2004 08:47:12 +0200

Margaret,

I think you captured what I wanted to say well. Thank you!

--On onsdag, september 15, 2004 09:19:08 -0400 Margaret Wasserman 
<[email-masked]> wrote:

>
> Hi Harald,
>
> As you say below, "clarity is good".  So, before I respond to this post,
> I would like to better understand what you are asking...
>
> So, given your definitions below and the contents of other messages, I
> think you are asking whether there is IETF community consensus on the
> following statement:
>
> To make a decision regarding whether or not I agree with this statement,
> I would need to understand what is meant by "advice and consent".  In
> previous non-public conversations, these terms have been defined as
> follows:
>
> Advice from the community can be obtained through discussion on this (and
> other?) IETF mailing lists and through plenary discussions.
>
> The usual method for determining the consent of the community is through
> IETF Last Call and IESG review/approval.
>
> being discussed now) so that the community has an opportunity to provide
> advice, that the IAB & IESG should jointly develop a specific proposal
> for further community review/advice, and that the final proposal should
> be subject to community consent through the usual IETF Last Call and IESG
> review/approval mechanism.
>
> Am I understanding your question correctly?  If so, then yes, I do agree
> with it.
>

---

From: Fred Baker <[email-masked]>
Date: Tue, 21 Sep 2004 07:18:17 -0400

>So the IETF is the community.

would ftp://ftp.rfc-editor.org/in-notes/rfc3233.txt be at all relevant?

---

From: "Tony Hain" <[email-masked]>
Date: Tue, 21 Sep 2004 08:32:02 -0700

Harald Tveit Alvestrand wrote:
> that we all believe that the IETF exists. 

Well at the functional level I agree, but at the legal/political level it is
clear that the IETF doesn't exist. Historically this has been intentional,
but it creates the side effect in these discussions that 'The IETF' is not
in any position to enter into a recognized business relationship or
contract. The entire discussion about incorporating the IETF vs. an entity
to manage the administration functions is wrapped tightly around this
reality. 

> And it's obvious that if the

This point can not be overstated. There is no way to 'take over the IETF'
because there is nothing of explicit value, and if the community decides
outside organizations are gaining undue influence they can simply take the
work elsewhere leaving nothing behind. 

> But there is at present no other leadership function selected by the

The Working Group chairs are a functional leadership, but they are not
selected by the wider community so I guess your definition is still intact. 

> further work on its conclusions.

Well the document blames the external relationships for the ambiguity, when
in fact it is the explicit lack of formality in the IETF definition that is
the root of those problems. In particular 3.1.3 is not technically possible
as written because there is no entity for the supporting organization to
enter into a contract with. To be clear, I am not arguing for incorporating
the IETF because I think there is substantial value in the ambiguity that
MUST NOT be lost. I am simply pointing out that the language being used in
the discussion is biased around the false assumption in (1) above, and
should be tempered appropriately. 

Tony